## libtabixpp 1.0.0

=== Makefile ===

# Use ?= to allow override from the env or command-line.

CC?=		gcc
CXX?= 		g++
CXXFLAGS?=	-g -Wall -O2 -fPIC #-m64 #-arch ppc
INCLUDES?=	-Ihtslib
HTS_HEADERS?=	htslib/htslib/bgzf.h htslib/htslib/tbx.h
HTS_LIB?=	htslib/libhts.a
LIBPATH?=	-L. -Lhtslib

DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE
PROG=		tabix++
SUBDIRS=.

.SUFFIXES:.c .o

.c.o:
	$(CC) -c $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
	@target=`echo $@ | sed s/-recur//`; \
	wdir=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
		cd $$subdir; \
		$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
			INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target \
			|| exit 1; \
		cd $$wdir; \
	done;

all:	$(PROG)

tabix.o: $(HTS_HEADERS) tabix.cpp tabix.hpp
	$(CXX) $(CXXFLAGS) -c tabix.cpp $(INCLUDES)

htslib/libhts.a:
	cd htslib && $(MAKE) lib-static

tabix++: tabix.o main.cpp $(HTS_LIB)
	$(CXX) $(CXXFLAGS) -o $@ main.cpp tabix.o $(INCLUDES) $(LIBPATH) \
		-lhts -lpthread -lm -lz

cleanlocal:
	rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a tabix.aux tabix.log \
		tabix.pdf *.class libtabix.*.dylib libtabix.so*
	cd htslib && $(MAKE) clean

clean:cleanlocal-recur

=== debian/changelog ===
libtabixpp (1.0.0-3build2) artful; urgency=medium

  * Rebuild against new libhts2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2017 19:25:33 +0200

libtabixpp (1.0.0-3build1) artful; urgency=medium

  * No-change rebuild against libhts2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 07:29:15 +0000

libtabixpp (1.0.0-3) unstable; urgency=medium

  * Fix FTBFS with htslib 1.4.1-2.
    Closes: #865007
  * Update uploader email address.
  * Bump Standards-Version.
  * Use secure Vcs-Git.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 18 Jun 2017 17:06:51 +0000

libtabixpp (1.0.0-2) unstable; urgency=medium

  * d/tests/control: depend on unversioned dev package
    This fixes a failing autopkgtest.
  * d/control: add some dev dependencies

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 22 Dec 2015 06:19:31 +0000

libtabixpp (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #807977)

 -- Sascha Steinbiss <sascha@steinbiss.name>  Tue, 15 Dec 2015 00:12:12 +0000

=== debian/control ===
Source: libtabixpp
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Build-Depends: debhelper (>= 9),
               libhts-dev,
               zlib1g-dev,
               d-shlibs
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libtabixpp.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libtabixpp.git
Homepage: https://github.com/ekg/tabixpp

Package: libtabixpp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosome), start and stop. The input data file must be position
 sorted and compressed by bgzip. After indexing, tabix is able to quickly
 retrieve data lines by chromosomal coordinates.
 .
 This package provides a C++ wrapper to the tabix indexer.

Package: libtabixpp-dev
Provides: libtabixpp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtabixpp0 (= ${binary:Version}),
         libhts-dev,
         zlib1g-dev
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer (development files)
 This package provides development headers and static libraries for libtabixpp,
 a C++ interface wrapper for Tabix. Tabix is a part of htslib to index tabular
 files in which some columns indicate sequence coordinates.

Package: libtabixpp0-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtabixpp0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer (debug symbols)
 This package provides debug symbols for libtabixpp,
 a C++ interface wrapper for Tabix. Tabix is a part of htslib to index tabular
 files in which some columns indicate sequence coordinates.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	ln -s libtabixpp.so.* libtabixpp.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --override s/libhts2-dev/libhts-dev/ \
                    --movedev "*.hpp" usr/include/ \
                    libtabixpp.so

override_dh_strip:
	dh_strip --dbg-package=libtabixpp0-dbg

=== debian/watch ===
version=3
https://github.com/ekg/tabixpp/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## libtabixpp 1.1.0

=== Makefile ===
--- 
+++ 
@@ -8,15 +8,19 @@
 HTS_HEADERS?=	htslib/htslib/bgzf.h htslib/htslib/tbx.h
 HTS_LIB?=	htslib/libhts.a
 LIBPATH?=	-L. -Lhtslib
-
+LIBS?=	-lhts -lpthread -lm -lbz2 -llzma -lz
 DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE
 PROG=		tabix++
 SUBDIRS=.
 
+ifeq ($(OS),Windows_NT)
+	LIBS += -lws2_32
+endif
+
 .SUFFIXES:.c .o
 
 .c.o:
-	$(CC) -c $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@
+	$(CC) $(CPPFLAGS) -c $(CXXFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@
 
 all-recur lib-recur clean-recur cleanlocal-recur install-recur:
 	@target=`echo $@ | sed s/-recur//`; \
@@ -32,14 +36,13 @@
 all:	$(PROG)
 
 tabix.o: $(HTS_HEADERS) tabix.cpp tabix.hpp
-	$(CXX) $(CXXFLAGS) -c tabix.cpp $(INCLUDES)
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c tabix.cpp $(INCLUDES)
 
 htslib/libhts.a:
 	cd htslib && $(MAKE) lib-static
 
 tabix++: tabix.o main.cpp $(HTS_LIB)
-	$(CXX) $(CXXFLAGS) -o $@ main.cpp tabix.o $(INCLUDES) $(LIBPATH) \
-		-lhts -lpthread -lm -lz
+	$(CXX) $(LDFLAGS) $(CPPFLAGS) $(CXXFLAGS) -o $@ main.cpp tabix.o $(INCLUDES) $(LIBPATH) $(LIBS)
 
 cleanlocal:
 	rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a tabix.aux tabix.log \

=== debian/changelog ===
libtabixpp (1.1.0-6) unstable; urgency=medium

  [ Matthias Klose ]
  * Mark one more symbol as optional.
    Closes: #986555

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 21:06:23 +0100

libtabixpp (1.1.0-5) unstable; urgency=medium

  * Build-Depends: d-shlibs (>= 0.83)
  * Drop needless override to d-shlibs
    Closes: #999794
  * Enable dh_missing --fail-missing
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 17 Nov 2021 15:20:14 +0100

libtabixpp (1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Jan 2021 12:53:36 +0100

libtabixpp (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * debian/libtabixpp0.symbols: Build-Depends-Package: libtabixpp-dev
  * debian/rules clean: force to always succeed
  * Standards-Version: 4.5.0 (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 15 Feb 2020 10:00:19 +0100

libtabixpp (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 12

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 21 Dec 2019 13:59:27 -0700

libtabixpp (1.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Freshen patches; hardening patch applied upstream

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 16 Dec 2019 21:43:57 +0100

libtabixpp (1.0.0-5) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Michael R. Crusoe ]
  * Add patch to enable hardening.
  * Ship libtabixpp.symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Dec 2019 17:07:38 +0100

libtabixpp (1.0.0-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop obsolete -dbg package

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 07:56:39 +0200

=== debian/control ===
Source: libtabixpp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Sascha Steinbiss <satta@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libhts-dev,
               zlib1g-dev,
               libbz2-dev,
               d-shlibs
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libtabixpp
Vcs-Git: https://salsa.debian.org/med-team/libtabixpp.git
Homepage: https://github.com/ekg/tabixpp
Rules-Requires-Root: no

Package: libtabixpp0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: C++ wrapper to tabix indexer
 Tabix indexes files where some columns indicate sequence coordinates: name
 (usually a chromosome), start and stop. The input data file must be position
 sorted and compressed by bgzip. After indexing, tabix is able to quickly
 retrieve data lines by chromosomal coordinates.
 .
 This package provides a C++ wrapper to the tabix indexer.

Package: libtabixpp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libtabixpp0 (= ${binary:Version}),
         libhts-dev,
         zlib1g-dev,
         ${devlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libtabixpp-dev
Description: C++ wrapper to tabix indexer (development files)
 This package provides development headers and static libraries for libtabixpp,
 a C++ interface wrapper for Tabix. Tabix is a part of htslib to index tabular
 files in which some columns indicate sequence coordinates.

=== debian/watch ===
version=4
https://github.com/ekg/tabixpp/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## libtabixpp 1.1.1

=== debian/changelog ===
libtabixpp (1.1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team Upload.
  * New upstream version
  * Proper filename for upstream tarball

  [ Mohammed Bilal ]
  * Refresh patch

  [ Nilesh Patra ]
  * Add hardening opts

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 14 Jul 2022 20:35:35 +0530

## libtabixpp 1.1.2

=== debian/changelog ===
libtabixpp (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 19 Jan 2023 09:54:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                zlib1g-dev,
                libbz2-dev,
                d-shlibs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libtabixpp
 Vcs-Git: https://salsa.debian.org/med-team/libtabixpp.git
 Homepage: https://github.com/ekg/tabixpp

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean || /bin/true

override_dh_auto_install:
	ln -s libtabixpp.so.* libtabixpp.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --movedev "*.hpp" usr/include/ \
                    libtabixpp.so
	find debian -name "lib*.la" -delete

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/ekg/tabixpp/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
